DVB Dresden Hybrid Repaint Hybrid

Website / Support
https://sachsen-repainter.webnode.com
Supported version of OMSI
OMSI v2.x
Recommended version of OMSI
Current v2.3.x
Prerequisite commercial expansions
- Nothing -
Additional version notes
Es wird das Neoman Overhaul Pack 1.2 benötigt!!
lotusmods.com/neoman-overhaul-…-lions-city-neoplan-n45xx
  • If you would give me permisson, I would love to see it as one of standard-repaints in my pack <3. It's beatifoul <3